/*
 * Copyright 2006 Freescale Semiconductor
 * York Sun (yorksun@freescale.com)
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#include <common.h>
#include <command.h>

extern int do_mac(cmd_tbl_t *cmdtp, int flag, int argc, char *argv[]);

U_BOOT_CMD(
	mac, 4, 1,  do_mac,
	"display and program the system ID and MAC addresses in EEPROM",
//	"mac [read|save|sn|date|port|mac <n>|ip <n>|sub <n>|mtu <n>|gate|dns <n>|host|dom|uid|gid"
	"mac [read|save|sn|date|port|<n>"
	"mac read\n"
	"    - show content of EEPROM\n"
	"mac save\n"
	"    - save to the EEPROM\n"
	"mac sn\n"
	"    - program serial number\n"
	"mac date\n"
	"    - program date BCD format YYMMDDhhmmss \n"
	"mac port\n"
	"    - program the number of ethernet port\n"
	"mac <n>\n"
	"    - program the MAC address for port <n>\n"
#ifdef BOARD_CPU453
	"mac mac <n>\n"
	"    - program the MAC address for port <n>\n"
	"mac ip <n>\n"
	"    - program the IP address for port <n>\n"
	"mac sub <n>\n"
	"    - program the Subnet Mask for port <n>\n"
	"mac mtu <n>\n"
	"    - program the MTU for port <n>\n"
#endif
/*
	"mac gate\n"
	"    - program the Default Gateway\n"
	"mac dns <n>\n"
	"    - program the Domain Name Server\n"
	"mac host\n"
	"    - program the Hostname\n"
	"mac dom\n"
	"    - program the Domainname\n"
	"mac uid\n"
	"    - program the User ID\n"
	"mac gid\n"
	"    - program the Group ID\n" */
);
